<?php

class ClsGeneradorHtml{

var $pTipoBD;
var $pAccion;
var $pPost;
var $pDecVialidad;
var $pCodigoVialidad;
	

/**
 *    Inicializacion de variables.
 *    @param string Nombre del objeto que lo esta instanciando.
 **/

function ClsGeneradorHtml($argOrigen,$estatus='')
{
  $this->origen=$argOrigen;
  $this->js_calendario="";
  if (!empty($estatus))
    $this->pestatus=$estatus;
}
	
function Pagina_Top($titulo_Pag, $mensaje_scroll="", $archivo_js=""){
   
   $forma= "<HTML><head>";
   $forma.= "<title>".$titulo_Pag."</title>";
   $forma.= "<meta http-equiv='Content-Type' content='text/html; charset=utf-8' />";

   if (!empty($mensaje_scroll)){
		$this->Mensaje_Scroll($mensaje_scroll);
   }

   $forma.= "<meta http-equiv='Content-Type' content='text/html;'>";

  if (empty($archivo_js)) {
	  $forma.=	$archivo_js;
    //$forma.= "<link rel='stylesheet' href='css/estilos.css' type='text/css'>";
  }else{ 
	  $forma.=	$archivo_js;

    //$forma.= "<link rel='stylesheet' href='css/estilos.css' type='text/css'>";
  }

  $forma.= "</head>";
  return $forma;	 
	
}	

function Pagina_Inicio_Body(){
  $forma =	"<BODY> ";
  return $forma;
}	

function Pagina_Fin_Body(){
   
  $forma = "</BODY>";
  return $forma;
}	

function Pagina_Fin_Html(){
	  $forma = "</HTML>";
	  return $forma;
}	
function fn_checkBrowser($valor){
  $Arr_c = array('maxthon','msie','firefox','galeon',
  'epiphany','applewebkit','opera','amaya','lynx','mozilla');
  $valor = ' ' . strtolower($valor);
  $ya = false;
  while(list($c, $v) = each($Arr_c)){
    if(!$ya and strpos($valor, $v, 0)){
      return $this->fn_dimeVersion($v, $valor);
      $ya = true;
    }
  }
}


function fn_dimeVersion($val, $cadena){
  $pat = '@('.$val.'(.[^ ]*))@i';
  preg_match_all($pat, $cadena, $arg);
  if(isset($arg[0][0])){
    return ucfirst(ereg_replace('(;)', '', $arg[0][0]));
  }
}
function Mensaje_Scroll($mensaje){

  echo "<SCRIPT LANGUAGE='JavaScript'>";
  
  $mensaje_aux="";

  for ($i=1; $i<=6; $i++){
    $mensaje_aux=$mensaje_aux.$mensaje.str_repeat(" ",14);

  }
  echo "var txt='".$mensaje_aux."';";
  echo " function scroll() {  if (txt) { window.status = txt;  txt = txt.substring(1, txt.length) + txt.charAt(0);   window.setTimeout('scroll()',180); }}";
  echo "</script>";

}

	function htmlSelect($db, $nombre, $campovalor, $campotexto,$valorsel='', $width='', $multiple, $sololectura=false,$id,$style,$tamaño,$evento){
		if (!empty($width)) {
			//$tamaño="size='".$width."'";
		}
		if (!empty($multiple)){
			$multiple='MULTIPLE';
		}
		if (!$sololectura or empty($sololectura)){
			$sololectura='';
		}else{
			$sololectura='DISABLED';
		} 
		$vlLista = "<SELECT id='".$id."' name='".$nombre."' ".$width." ".$multiple." ".$sololectura." style='".$style."' size='".$tamaño."' onChange='".$evento."'>";
		if ((isset($db))and(!empty($db))) {
			if ((empty($valorsel))and(empty($multiple)))
				$vlLista =$vlLista. "<option value='' >Seleccionar</option>";


			 while ($data=$db->DataObjeto()){
				 if(is_array($valorsel)){  
					foreach($valorsel as $vr_Dato){
					   if($vr_Dato['id']==trim($data->$campovalor)) {
						 $vlLista =$vlLista. "<option value='". $data->$campovalor ."' selected>".$data->$campotexto."</option>";
					   }else{
						 $vlLista =$vlLista. "<option  value='". $data->$campovalor ."' >".$data->$campotexto."</option>";
					   }
					}
				 }else{
					  if($valorsel==trim($data->$campovalor)) {
						 $vlLista =$vlLista. "<option  value='". $data->$campovalor ."' selected>".$data->$campotexto."</option>";
					  }else{
						 $vlLista =$vlLista. "<option  value='". $data->$campovalor ."' >".$data->$campotexto."</option>";
					  }	
				}
			}	
			$vlLista = $vlLista."</SELECT>";
		}else{
			$vlLista =$vlLista. "<option value='' >Seleccionar</option>";
			$vlLista = $vlLista."</SELECT>";
	    }
			return $vlLista;	
			  
	}
	
	

	
	
	
	function htmlSelectArray($arrDatos, $nombre, $valorsel='', $tamaño='', $multiple='', $sololectura=false,$style=''){

	  if (isset($arrDatos)) {

		if (!empty($multiple)){
		  $multiple='MULTIPLE';
		}
			
		if (!$sololectura or empty($sololectura)){
		  $sololectura='';
		}else{
		  $sololectura='DISABLED';
		}

		$vlLista = "<SELECT  name='".$nombre."' id='".$nombre."' ".$multiple." ".$sololectura." style='".$style."'>";
		if (empty($valorsel) and empty($multiple))
		  $vlLista =$vlLista. "<option>Seleccionar</option>";

		foreach ($arrDatos as $clave => $valor){
		  if ($valorsel==$clave) {
			$vlLista =$vlLista. "<option value='".$clave."' selected>". $valor ."</option>";
		  }else {
			$vlLista =$vlLista. "<option value='".$clave."'>". $valor ."</option>";
		  }
		}
		$vlLista = $vlLista."</SELECT>";
	  }
	  return $vlLista;
	}

	//function htmlGenerarComboDinamico($db,$nombre,$valorsel,$style,$div="combo"){
	
	function htmlGenerarComboDinamico($db,$nombre,$valorsel,$style,$div,$multiple,$tamaño,$funciones){
		$datos=$db->DatosArray();	
		//$xml.=$this->htmlDiv('".$nombre."','margin:0;padding:0px 0px')."<SELECT id='".$id."' name='".$nombre."' style='".$style."'>";
		if (!empty($multiple)){
			$multiple='MULTIPLE';
		}		
		
				
		//$xml.=$this->htmlDiv($div,'margin:0;padding:0px 0px')."<SELECT id='".$nombre."' name='".$nombre."' style='".$style."'>";
		
		$xml.=$this->htmlDiv($div,'margin:0;padding:0px 0px')."<SELECT id='".$nombre."' name='".$nombre."' style='".$style."' ".$multiple."  size='".$tamaño."' ".$funciones.">";
		
		$xml.= "<option value=''>Seleccionar</option>";
		foreach ($datos as $value){
				$xml.= "<option id ='option' value='".$value['codigo']."'>".$value['descripcion']."</option>";
		}
		$xml.="</SELECT>".$this->htmlDiv();
		echo $xml;
		
	}	
	
	
	function htmlGenerarComboDinamicoVista($db,$nombre,$valorsel,$multiple,$tamaño,$style,$div){
		$datos=$db->DatosArray();	
		//$xml.=$this->htmlDiv('".$nombre."','margin:0;padding:0px 0px')."<SELECT id='".$id."' name='".$nombre."' style='".$style."'>";
		if (!empty($multiple)){
		$multiple='MULTIPLE';
		}		
		//$size=2;
		
		//$vlLista = "<SELECT id='".$id."' name='".$nombre."' ".$width." ".$multiple." ".$sololectura." style='".$style."'>";		
				
		$xml.=$this->htmlDiv($div,'margin:0;padding:0px 0px')."<SELECT id='".$nombre."' name='".$nombre."' ".$multiple."  size='".$tamaño."'  style='".$style."' >";
		
		//$xml.= "<option value=''></option>";
		foreach ($datos as $value){
				$xml.= "<option id ='option' value='".$value['codigo']."'>".$value['descripcion']."</option>";
		}
		$xml.="</SELECT>".$this->htmlDiv();
		echo $xml;
		
	}	
	
			
	function htmlGenerarXml($db){
			$datos=$db->DatosArray();
			
			$xml= "<?xml version=\"1.0\"?>\n";
				$xml.= "<submodulos>\n";
			foreach ($datos as $value){
				$xml.= "<codigo>".$value['codigo']."</codigo>";
				$xml.= "<descripcion>".$value['descripcion']."</descripcion>\n";
			}
			$xml.= "</submodulos>\n";
			header('Content-Type: text/xml');
			echo $xml; 
	}	
	
	function htmlCerrarModal($ruta='imagenes/'){
		 $botonera= "<INPUT TYPE='image' id ='btnCerrar' name='btnCerrar' src='".$ruta."cerrar.jpg' align='MIDDLE' alt='Cerrar'  onmouseover=\"return overlib('Cerrar');\" onmouseout='return nd();'>";    
		 return	$botonera;
	}
	
	function htmlBoton($descripcion,$id,$align="center"){
		return "<input name='".$id."' type='button' id='".$id."' value='".$descripcion."' align='".$align."'>";
	}
	
	
	

//*************
//PENDIENTE JUAN CARLO ACTIVE SOLO LECTURA
//*************
//function htmlCajaTexto($nombre, $valor, $tipodato, $tamano, $sololectura=false,$maxlength,$id){
	

function htmlCajaTexto($nombre, $valor, $tipodato, $tamano, $sololectura,$maxlength,$id){
		 switch (strtolower($tipodato)){
			case "password":
				$clase="input_text";
				$tipo="password";
			  break;
			case "numero":
				$clase="input_text_monto";
				$tipo="text";	
			  break;
			case "file":
				$tipo="file";	
			  break;
  
			case "fecha":
				$clase="input_text_fecha";
				//$eventos="onKeyPress='return SoloFecha(event);' onKeyUp='this.value=FormatoFecha(FormatoFecha(this.value));'";
				if (empty($this->js_calendario)){
					$this->js_calendario="<script type='text/javascript' src='modelo/calendario/calendar.js'></script>
										  <script type='text/javascript' src='modelo/calendario/calendar-setup.js'></script>
										  <script type='text/javascript' src='modelo/calendario/calendar-es.js'></script>
										  <style type='text/css'> @import url('modelo/calendario/calendar-win2k-cold-1.css'); </style>";
					$js_calendario=$this->js_calendario;
				}else{
					$js_calendario="";
				}

				$calendario="<input type='image' id='cal-button-".$nombre."' src='modelo/calendario/calendario.bmp'>
                        <script type='text/javascript'>
                          Calendar.setup({
                            inputField    : '".$nombre."',
                            button        : 'cal-button-".$nombre."',
                            align         : 'Tr',
                            ifFormat      : '%d/%m/%Y'
                          });
                        </script>";
				break;
  
			  
			  
			default:
				$clase="input_text";
				$tipo="text";
		 }
		 return $js_calendario."<input type='".$tipo."' id='".$id."' name='".$nombre."' size='".$tamano."' maxlength='".$maxlength."' ".(($sololectura==$sololect)?"":"readonly")." class='".$clase."' ".$eventos."  value='".$valor."'/>".$calendario;
   }

	function cambiaf_a_mysql($fecha){

		ereg( "([0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4})", $fecha, $mifecha);
		$lafecha=$mifecha[3]."-".$mifecha[2]."-".$mifecha[1];	
		return $lafecha;
	}


   function htmlEtiqueta($nombre,$ancho){

		 return "<FONT class='font'>$nombre</FONT>";
   }
   
  function htmlSaltolinea(){
	  return "<BR>";
   }
   
   function htmlLinaehorizontal(){
	  return "<HR WIDTH=% SIZE=1>";
   }
   	
   function htmlSaltoparrafoInicio(){
	  return "<BLOCKQUOTE>";
   }	
	
   function htmlSaltoparrafoFin(){
	  return "</BLOCKQUOTE>";
   }		
	
	function htmlHidden($nombre,$value){

		 return "<input type='hidden' id='".$nombre."' name='".$nombre."' value='".$value."'>";
		 
		 //return "<input type='CHECKBOX' id='".$nombre."' value='".$value."'>";
   }
 
   function htmlHiddenDefinicion($tipocont,$nombre,$value){
	 return "<input type='".$tipocont."' id='".$nombre."' value='".$value."'>";
   }


   function htmlInicioFormulario($metodo,$nombre,$enctype){
	   $forma = "<FORM style=';margin:0;padding:0px 0px'  METHOD='".$metodo."' NAME='".$nombre."' ID='".$nombre."' enctype='".$enctype."' ALIGN='CENTER' onSubmit='return mSubmit;'>";
	   return $forma;
   }
   
   function htmlTable($cellspacing="0",$border="0",$cellPadding="0",$width="90%",$align="center",$bgcolor="",$class="",$style=""){
		$forma="<TABLE bgcolor='".$bgcolor."' cellSpacing='".$cellspacing."' cellPadding='".$cellPadding."' width='".$width."' border='".$border."' align='".$align."' class='".$class."' style='".$style."' >";
		 return $forma;
   }
   
   
   function htmlFinTable(){
		$forma="</TABLE>";
		 return $forma;
   }
   
   
   function htmlTd($width='',$align='left',$colspan='0',$valign="middle",$class=""){
		$forma ="<TD width='".$width."' align='".$align."' colspan='".$colspan."' valign='".$valign."' class='".$class."'>";
		 return $forma;		 
   }
   
   function htmlH($tam='',$align='left'){
		$forma ="<H".$tam."  align='".$align."' >";
	    return $forma;		 
   }   
   
   function htmlFinH($tam=''){
		$forma ="</H".$tam.">";
	    return $forma;		 
   }
   
   function htmlFinTd(){
		$forma="</TD>";
		return $forma;
   }
   
   function htmlTr(){
   		$forma="<TR>";
		return $forma;
   }
   function htmlFinTr(){
   		$forma="</TR>";
		return $forma;
   }
   
   
   function htmlFieldset($titulo){
		$forma=	"<FIELDSET>
							 <LEGEND ALIGN='CENTER'>
								<FONT class='fieldset'><STRONG>$titulo</STRONG></FONT>
							 </LEGEND>";   
	    return $forma; 	      
   }

   function htmlFinFieldset($titulo){
		$forma=	"</FIELDSET>";   
	    return $forma; 	      
   }
   
   function htmlCheck($name,$id,$value,$checked=""){
	 $forma = "<input type='checkbox' name='".$name."' id='".$id."' ".$checked.">";
	 return $forma;  
   } 
   
   function htmlCenter(){
	   $forma= "<CENTER>";
	    return $forma; 	      
   }   	
   function htmlFinCenter(){
		$forma= "</CENTER>";
	    return $forma;
   }
   
   function htmlMatchCode($id="",$ubicacion){ 
	  $matchcode= "<img id ='".$id."' style ='cursor:pointer;cursor:hand' name='".$id."' src='".$ubicacion."'>";
	  return $matchcode;
   }
	
   function htmlIFrame($class,$name,$src,$width='100%',$height='100%'){
	  if (!empty($class)){
		 $class = "class='".$class."'";
	  }
	  $iframe="<iframe class='".$class."' width=".$width." height=".$height." src='".$src."' NORESIZE FRAMEBORDER='0' SCROLLING='NO'  NAME='".$name."'></iframe>";
      return $iframe;
   }
	
   function htmlDiv($nombre,$style='margin:0;padding:0px 0px',$class='',$id=''){
	    if (!empty($style)){
			$style = "style='".$style."'";
		}	
		if (!empty($class)){
			$class = "class='".$class."'";
		}
		if (!empty($id)){
			$id = "id='".$id."'";
		}
	    $forma = "<DIV name='".$nombre."' ".$style." ".$class." ".$id.">";
	    return $forma; 
   }		
   function htmlFinDiv(){
	   	$forma =  "</DIV>";
	    return $forma; 
   }	
   	
   function htmlFinFormulario(){
	   
	   $forma = "</FORM>";
	   return $forma;
   }
   
   // CAMBIO INDICAR A MARIANO SE LE INCORPORO EL PARAMETRO RUTA DE IMAGEN y ANCHO DE LA TABLA
   function htmlMensaje($tipo,$titulo,$ruta='imagenes/',$width='90%'){
	   
	   if ($tipo=="E"){
			$mensaje.=  $titulo;
	   }elseif ($tipo=="C"){
			$mensaje.=  "Procesado";
	   }elseif ($tipo=="O"){

	   }					
	   return $mensaje;
   }

   function htmlImage($id,$imagen,$funcion,$height="",$width="",$style="cursor:hand;"){
	   
	   $image="<img id='".$id."' src='imagenes/".$imagen."' alt='Retornar' style='".$style."' height='".$height."' width='".$width."' onClick='".$funcion."'>";				
	   return $image;
   }
   
   
   function JsonCierre($funcion){
		$json ="<script type='text/javascript'> 

				$(document).ready(function(){
					".$funcion."
				});
						</script>";
		return $json;				

   }
  
  function JavaCierre($funcion){
		$java ="<script type='text/javascript'> 
					".$funcion."
				</script>";
		return $java;				

   }
   
   function CrearTabla($clsMenu,$ClaseCampos){
		$botonera= $clsMenu->generar_botonera_tabla_encambezado($_SESSION["autentificado"],$submodulo);
		$GetCampos=$ClaseCampos->GetCamposTabla();
		$GetNumeroRegistro=$ClaseCampos->GetNumeroRegistrosMostrar();
		$GetScrollinTable=$ClaseCampos->GetScrollinTable();
		$script =$ClaseCampos->GetScript();
	    $variablesfiltros=$ClaseCampos->GetVariablesFiltros();	
		if(!empty($botonera)){
			$botonera=explode(",",$botonera);
		}
		$encabezado =$GetCampos;
		$funciones = $ClaseCampos->GetFuncionesTabla();
		if(!empty($botonera)){		
			foreach($botonera as $clave=>$valor){
				$encabezado .= ",{ 'sTitle': '".$botonera[$clave]."','sClass': 'center', 'bSortable': false,'sWidth': '5%' }";
			}
		}		
		$tabla ="<script type='text/javascript'> 
			function crearTabla(){
			if(!isEmpty(objetoMostrar)){
				objetoMostrar.innerHTML=\"<TABLE bgcolor=#E6E6E6 BORDER=1 CELLSPACING=0 CELLPADDING=0><TD width=780px COLSPAN=2><FONT class='font' color='#04B404'><STRONG>Listo</STRONG></FONT></TD></TABLE>\";
			}
			if (!isEmpty(oTable)){
				oTable.fnDraw();
				return false;
			}	
				
			$(document).ready(function() {
						
						$('#demo').html('<form id=\"form\"><table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" class=\"display\" id=\"example\"></table></form>'); 
						oTable=$('#example').dataTable({     
						'aoColumns': [".$encabezado."
						                      ],                       
						'bProcessing': true,
						'bAutoWidth': true,
						'bFilter': false,
						".$GetScrollinTable."
						'bScrollCollapse': true,
						'bServerSide': true,
						'bLengthChange': false,
						'bInfo': false,
						'iDisplayStart': 0,
						'iDisplayLength': ".$GetNumeroRegistro.",
						'bPaginate': true, 
						'sPaginationType': 'full_numbers',
						'oLanguage': {
										'sLengthMenu': 'Ver _MENU_ registros por pagina',
										'sZeroRecords': 'Ningun registro encontrado',
										'sInfo': 'Total _TOTAL_ registros',
										'sInfoEmpty': 'Ningun registro encontrado',
										'sInfoFiltered': '(filtrado de _MAX_ total registros)',
										'sSearch': 'Buscar',
										'oPaginate': { 
														'sFirst': 'Primer',
														'sNext': 'Siguiente',
														'sPrevious': 'Anterior',
														'sLast': 'Ultimo'

													 } 
									  },							  
						'sAjaxSource':'".$script."',
						'fnServerData': function ( sSource, aoData, fnCallback )
						   {aoData.push( { 'name': 'boton', 'value': 'Consultar' } ); 
							$.ajax( { 
									'dataType': 'json', 
									'type': 'POST', 
									'url': sSource, 
									'data': aoData, 
									'success': fnCallback 
							} )".$variablesfiltros."; 
							

						}
					});
		});
	


			
		$('#example tbody').click(function(event) {
			$(oTable.fnSettings().aoData).each(function (){
				$(this.nTr).removeClass('row_selected');
			});
			$(event.target.parentNode).addClass('row_selected' ); 
		});
		
		".$funciones."
		
		}
		</script>";


	   echo $tabla;
	   
   }   
   
   
   function CrearTabla1($clsMenu,$ClaseCampos){
	    
		$botonera= $clsMenu->generar_botonera_tabla_encambezado($_SESSION["autentificado"],$submodulo);
		$GetCampos=$ClaseCampos->GetCamposTabla1();
		$GetNumeroRegistro=$ClaseCampos->GetNumeroRegistrosMostrar();
		$GetScrollinTable=$ClaseCampos->GetScrollinTable();
		$script =$ClaseCampos->GetScript();
	    $variablesfiltros=$ClaseCampos->GetVariablesFiltros1();	
		if(!empty($botonera)){
			$botonera=explode(",",$botonera);
		}
		$encabezado =$GetCampos;
		$funciones = $ClaseCampos->GetFuncionesTabla1();
		if(!empty($botonera)){		
			foreach($botonera as $clave=>$valor){
				$encabezado .= ",{ 'sTitle': '".$botonera[$clave]."','sClass': 'center', 'bSortable': false,'sWidth': '5%' }";
			}
		}		
		$tabla ="<script type='text/javascript'> 
			function crearTabla1(){
			if(!isEmpty(objetoMostrar)){
				objetoMostrar.innerHTML=\"<TABLE bgcolor=#E6E6E6 BORDER=1 CELLSPACING=0 CELLPADDING=0><TD width=780px COLSPAN=2><FONT class='font' color='#04B404'><STRONG>Listo</STRONG></FONT></TD></TABLE>\";
			}
			if (!isEmpty(oTable1)){
				oTable1.fnDraw();
				return false;
			}	
				
			$(document).ready(function() {
						
						$('#demo1').html('<form id=\"form1\"><table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" class=\"display\" id=\"example1\"></table></form>'); 
						oTable1=$('#example1').dataTable({     
						'aoColumns': [".$encabezado."
						                      ],                       
						'bProcessing': true,
						'bAutoWidth': true,
						'bFilter': false,
						".$GetScrollinTable."
						'bScrollCollapse': true,
						'bServerSide': true,
						'bLengthChange': false,
						'bInfo': false,
						'iDisplayStart': 0,
						'iDisplayLength': ".$GetNumeroRegistro.",
						'bPaginate': true, 
						'sPaginationType': 'full_numbers',
						'oLanguage': {
										'sLengthMenu': 'Ver _MENU_ registros por pagina',
										'sZeroRecords': 'Ningun registro encontrado',
										'sInfo': 'Total _TOTAL_ registros',
										'sInfoEmpty': 'Ningun registro encontrado',
										'sInfoFiltered': '(filtrado de _MAX_ total registros)',
										'sSearch': 'Buscar',
										'oPaginate': { 
														'sFirst': 'Primer',
														'sNext': 'Siguiente',
														'sPrevious': 'Anterior',
														'sLast': 'Ultimo'

													 } 
									  },							  
						'sAjaxSource':'".$script."',
						'fnServerData': function ( sSource, aoData, fnCallback )
						   {aoData.push( { 'name': 'boton', 'value': 'Consultar1' } ); 
							$.ajax( { 
									'dataType': 'json', 
									'type': 'POST', 
									'url': sSource, 
									'data': aoData, 
									'success': fnCallback 
							} )".$variablesfiltros."; 
							

						}
					});
		});
	


			
		$('#example1 tbody').click(function(event) {
			$(oTable1.fnSettings().aoData).each(function (){
				$(this.nTr).removeClass('row_selected');
			});
			$(event.target.parentNode).addClass('row_selected' ); 
		});
		
		".$funciones."
		
		}
		</script>";


	   echo $tabla;
	   
   }   
   
   
  
   function CrearTablaMatchCode($ClaseCampos){
	    $GetCampos=$ClaseCampos->GetCamposTabla();
					
	    $encabezado =$GetCampos;
		$GetNumeroRegistro=$ClaseCampos->GetNumeroRegistrosMostrar();
		$GetScrollinTable=$ClaseCampos->GetScrollinTable();
		$script =$ClaseCampos->GetScript();
	    $variablesfiltros=$ClaseCampos->GetVariablesFiltros();	
		$funciones = $ClaseCampos->GetFuncionesTabla();
		$tabla ="<script type='text/javascript'> 
			function CrearTablaMatchCode(){
			
			
			if (!isEmpty(oTable)){
				oTable.fnDraw();
				return false;
			}	
				
			$(document).ready(function() {
						
						$('#demo').html('<form id=\"form\"><table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" class=\"display\" id=\"example\"></table></form>'); 
						oTable=$('#example').dataTable({     
						'aoColumns': [".$encabezado."
						                      ],                       
						'bProcessing': true,
						'bAutoWidth': true,
						'bFilter': false,
						".$GetScrollinTable."
						'bScrollCollapse': true,
						'bServerSide': true,
						'bLengthChange': false,
						'bInfo': false,
						'iDisplayStart': 0,
						'iDisplayLength': ".$GetNumeroRegistro.",
						'bPaginate': true, 
						'sPaginationType': 'full_numbers',
						'oLanguage': {
										'sLengthMenu': 'Ver _MENU_ registros por pagina',
										'sZeroRecords': 'Ningun registro encontrado',
										'sInfo': 'Total _TOTAL_ registros',
										'sInfoEmpty': 'Ningun registro encontrado',
										'sInfoFiltered': '(filtrado de _MAX_ total registros)',
										'sSearch': 'Buscar',
										'oPaginate': { 
														'sFirst': 'Primer',
														'sNext': 'Siguiente',
														'sPrevious': 'Anterior',
														'sLast': 'Ultimo'

													 } 
									  },							  
						'sAjaxSource':'".$script."',
						'fnServerData': function ( sSource, aoData, fnCallback )
						   {aoData.push( { 'name': 'boton', 'value': 'Consultar' } ); 
							$.ajax( { 
									'dataType': 'json', 
									'type': 'POST', 
									'url': sSource, 
									'data': aoData, 
									'success': fnCallback 
							} )".$variablesfiltros."; 
							

						}
					});
		});
	


			
		$('#example tbody').click(function(event) {
			$(oTable.fnSettings().aoData).each(function (){
				$(this.nTr).removeClass('row_selected');
			});
			$(event.target.parentNode).addClass('row_selected' ); 
		});
		
		".$funciones."
		
		}
		</script>";


	   echo $tabla;
	   
   }	
	
	
}
?>

